org.apache.commons.compress.harmony.unpack200.bytecode.forms

## Class FloatRefForm

- java.lang.Object
- - org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm
  - - org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm
    - - org.apache.commons.compress.harmony.unpack200.bytecode.forms.SingleByteReferenceForm
      - - org.apache.commons.compress.harmony.unpack200.bytecode.forms.FloatRefForm

-     public class FloatRefForm
      extends SingleByteReferenceForm

  This class implements the byte code form for those bytecodes which have float references (and only float references).

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.SingleByteReferenceForm

      `widened`

    - ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

      `byteCodeArray, byteCodesByName, WIDENED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloatRefForm(int opcode, String name, int[] rewrite)`
    `FloatRefForm(int opcode, String name, int[] rewrite, boolean widened)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getOffset(OperandManager operandManager)`
    `protected int` | `getPoolID()`

    - ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.SingleByteReferenceForm

      `nestedMustStartClassPool, setNestedEntries`

    - ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ReferenceForm

      `setByteCodeOperands`

    - ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.forms.ByteCodeForm

      `calculateOperandPosition, firstOperandIndex, fixUpByteCodeTargets, get, getName, getOpcode, getRewrite, getRewriteCopy, hasMultipleByteCodes, hasNoOperand, operandLength, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FloatRefForm

          public FloatRefForm(int opcode,
                              String name,
                              int[] rewrite)

    - #### FloatRefForm

          public FloatRefForm(int opcode,
                              String name,
                              int[] rewrite,
                              boolean widened)

  - ### Method Detail

    - #### getOffset

          protected int getOffset(OperandManager operandManager)

      Specified by:
        `getOffset` in class `SingleByteReferenceForm`

    - #### getPoolID

          protected int getPoolID()

      Specified by:
        `getPoolID` in class `SingleByteReferenceForm`

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.